
'Ways to shade:
'way = 1 -> Dark ooze text (Works great with a palette cycling routine!)
'way = 2 -> Brighter ooze text
'way = 3 -> "Light source" right
'way = 4 -> The opposite of way = 3
'way = 5 -> "Light source" is centered

SUB Shadetxt2 (message$, x, y, way)

cntr = 1
col = 16
cntrr = 1

msglen = LEN(message$)

LOCATE x, y

IF way = 1 THEN
DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col + 1
IF col > 30 THEN col = 16
LOOP UNTIL cntr = msglen
END IF

IF way = 2 THEN
col = 20
DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col + 1
IF col > 30 THEN col = 20
LOOP UNTIL cntr = msglen
END IF

IF way = 3 THEN
col = 20
DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col + 1
LOOP UNTIL cntr = msglen OR col > 30
IF cntr = msglen THEN EXIT SUB

DO
col = col - 1
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
LOOP UNTIL col < 21 OR cntr = msglen
IF cntr = msglen THEN EXIT SUB

DO
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
LOOP UNTIL cntr = msglen
END IF

IF way = 4 THEN
col = 30
DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col - 1
LOOP UNTIL cntr = msglen OR col < 21
IF cntr = msglen THEN EXIT SUB

DO
col = col + 1
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
LOOP UNTIL col > 30 OR cntr = msglen
IF cntr = msglen THEN EXIT SUB

DO
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
LOOP UNTIL cntr = msglen
END IF

IF way = 5 THEN
col = 20
DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col + 1
LOOP UNTIL cntr = msglen OR col > 30
IF cntr = msglen THEN EXIT SUB

DO
COLOR col
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
col = col - 1
LOOP UNTIL col < 21 OR cntr = msglen
IF cntr = msglen THEN EXIT SUB

DO
PRINT MID$(message$, cntr, 1);
cntr = cntr + 1
LOOP UNTIL cntr = msglen

END IF

END SUB

